MCP Tools Reference: redis.googleapis.com

工具:get_backup_collection

获取有关 Memorystore for Redis Cluster 备份集合的详细信息。

以下示例演示了如何使用 curl 调用 get_backup_collection MCP 工具。

Curl 请求
                  
curl --location 'https://redis.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "get_backup_collection",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

输入架构

GetBackupCollection 的请求。

GetBackupCollectionRequest

JSON 表示法
{
  "name": string
}
字段
name

string

必需。Redis backupCollection 资源名称,格式为 projects/{project_id}/locations/{location_id}/backupCollections/{backup_collection_id},其中 location_id 表示 Google Cloud 区域。

输出架构

集群的 BackupCollection。

BackupCollection

JSON 表示法
{
  "name": string,
  "clusterUid": string,
  "cluster": string,
  "kmsKey": string,
  "uid": string,
  "createTime": string,
  "totalBackupSizeBytes": string,
  "totalBackupCount": string,
  "lastBackupTime": string
}
字段
name

string

标识符。备份集合的完整资源路径。

clusterUid

string

仅限输出。备份集合的集群 UID。

cluster

string

仅限输出。备份集合所属集群的完整资源路径。示例:projects/{project}/locations/{location}/clusters/{cluster}

kmsKey

string

仅限输出。用于加密相应备份集合中的备份的 KMS 密钥。

uid

string

仅限输出。备份集合的系统分配的唯一标识符。

createTime

string (Timestamp format)

仅限输出。备份集合的创建时间。

采用 RFC 3339 标准,生成的输出将始终进行 Z 规范化(即转换为 UTC 零时区格式并在末尾附加 Z),并使用 0、3、6 或 9 个小数位。不带“Z”的偏差时间也是可以接受的。示例:"2014-10-02T15:01:23Z""2014-10-02T15:01:23.045123456Z""2014-10-02T15:01:23+05:30"

totalBackupSizeBytes

string (int64 format)

仅限输出。备份集合中所有备份的总大小。

totalBackupCount

string (int64 format)

仅限输出。备份集合中的备份总数。

lastBackupTime

string (Timestamp format)

仅限输出。备份集合中上次创建备份的时间。

采用 RFC 3339 标准,生成的输出将始终进行 Z 规范化(即转换为 UTC 零时区格式并在末尾附加 Z),并使用 0、3、6 或 9 个小数位。不带“Z”的偏差时间也是可以接受的。示例:"2014-10-02T15:01:23Z""2014-10-02T15:01:23.045123456Z""2014-10-02T15:01:23+05:30"

时间戳

JSON 表示法
{
  "seconds": string,
  "nanos": integer
}
字段
seconds

string (int64 format)

表示世界协调时间 (UTC) 的秒数(从 Unix 纪元 1970-01-01T00:00:00Z 开始算起)。必须介于 -62135596800 到 253402300799 之间(含边界值),对应于 0001-01-01T00:00:00Z 到 9999-12-31T23:59:59Z。

nanos

integer

秒数的非负小数部分(以纳秒为单位)。此字段是时长的纳秒部分,而不是秒的替代项。对于含小数部分的负秒数,仍必须包含按时间递升的非负纳秒值。必须在 0 到 999,999,999 之间(含边界值)。

工具注释

破坏性提示:❌ | 等幂性提示:✅ | 只读提示:✅ | 开放世界提示:❌